apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  annotations:
    che.eclipse.org/cheClusterV2alpha1Spec: |
      enabled: true
      gateway:
        enabled: true
        image: registry.redhat.io/devspaces/traefik-rhel8@sha256:e2c094e2bc527ac355a03032995adcb25a6b81836002135078b5eb804e469746
      k8s: {}
      workspaces:
        domainEndpoints: {}
  resourceVersion: '4393234'
  name: codeready-workspaces
  uid: 27224fcc-baab-4833-8895-438054078350
  creationTimestamp: '2022-05-31T22:17:24Z'
  generation: 24
  managedFields:
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:auth':
            .: {}
            'f:externalIdentityProvider': {}
            'f:initialOpenShiftOAuthUser': {}
          'f:database':
            .: {}
            'f:externalDb': {}
          'f:metrics':
            .: {}
            'f:enable': {}
          'f:server':
            .: {}
            'f:allowUserDefinedWorkspaceNamespaces': {}
            'f:cheFlavor': {}
            'f:customCheProperties':
              .: {}
              'f:CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN': {}
              'f:CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS': {}
              'f:CHE_LIMITS_USER_WORKSPACES_RUN_COUNT': {}
              'f:CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT': {}
            'f:gitSelfSignedCert': {}
            'f:tlsSupport': {}
            'f:workspaceNamespaceDefault': {}
          'f:storage':
            .: {}
            'f:preCreateSubPaths': {}
            'f:pvcClaimSize': {}
            'f:pvcStrategy': {}
      manager: Mozilla
      operation: Update
      time: '2022-05-31T22:17:24Z'
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:devWorkspace':
            'f:enable': {}
          'f:server':
            'f:serverExposureStrategy': {}
      manager: oc
      operation: Update
      time: '2022-06-01T09:10:04Z'
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            'v:"oauthclients.finalizers.che.eclipse.org"': {}
        'f:status':
          'f:cheURL': {}
          'f:devworkspaceStatus':
            'f:gatewayHost': {}
      manager: manager
      operation: Update
      time: '2022-06-01T09:12:38Z'
    - apiVersion: org.eclipse.che/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:cheVersion': {}
          'f:devfileRegistryURL': {}
          'f:pluginRegistryURL': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2022-06-01T09:16:22Z'
  namespace: openshift-workspaces
  finalizers:
    - openshift-oauth-user.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - dashboard.clusterpermissions.finalizers.che.eclipse.org
    - checluster.che.eclipse.org
    - cheGateway.clusterpermissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
spec:
  devWorkspace:
    enable: true
  metrics:
    enable: true
  server:
    cheLogLevel: INFO
    dashboardIngress: {}
    customCheProperties:
      CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN: '10'
      CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS: 'Failed Scheduling,Failed to pull image'
      CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: '-1'
      CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT: '900000'
    externalDevfileRegistry: false
    pluginRegistryIngress: {}
    cheServerRoute: {}
    devfileRegistryIngress: {}
    singleHostGatewayImage: >-
      registry.redhat.io/devspaces/traefik-rhel8@sha256:e2c094e2bc527ac355a03032995adcb25a6b81836002135078b5eb804e469746
    selfSignedCert: false
    cheServerIngress: {}
    cheDebug: 'false'
    tlsSupport: true
    dashboardRoute: {}
    allowUserDefinedWorkspaceNamespaces: false
    serverTrustStoreConfigMapName: ca-certs
    pluginRegistryRoute: {}
    devfileRegistryRoute: {}
    externalPluginRegistry: false
    workspaceNamespaceDefault: <username>-codeready
    serverExposureStrategy: single-host
    gitSelfSignedCert: false
    useInternalClusterSVCNames: false
    cheFlavor: codeready
  k8s: {}
  auth:
    identityProviderURL: 'https://keycloak-openshift-workspaces.apps.crw-airgap-v10.crw-qe.com/auth'
    identityProviderRealm: codeready
    updateAdminPassword: false
    identityProviderIngress: {}
    oAuthSecret: zt4uw8Bmmnwj
    oAuthClientName: codeready-workspaces-openshift-identity-provider-ur8y40
    initialOpenShiftOAuthUser: true
    identityProviderContainerResources:
      limits: {}
      request: {}
    identityProviderClientId: codeready-public
    identityProviderPostgresSecret: che-identity-postgres-secret
    identityProviderRoute: {}
    externalIdentityProvider: false
    identityProviderSecret: che-identity-secret
    openShiftoAuth: true
  imagePuller:
    enable: false
    spec: {}
  dashboard: {}
  database:
    chePostgresContainerResources:
      limits: {}
      request: {}
    chePostgresDb: dbche
    chePostgresHostName: postgres
    chePostgresPort: '5432'
    chePostgresSecret: che-postgres-secret
    externalDb: false
    postgresVersion: '13.5'
  storage:
    preCreateSubPaths: true
    pvcClaimSize: 2Gi
    pvcStrategy: per-workspace
status:
  gitHubOAuthProvisioned: false
  devfileRegistryURL: >-
    https://devspaces-openshift-workspaces.apps.crw-airgap-v10.crw-qe.com/devfile-registry
  openShiftOAuthUserCredentialsSecret: openshift-oauth-user-credentials
  keycloakProvisioned: true
  cheClusterRunning: Available
  cheURL: 'https://devspaces-openshift-workspaces.apps.crw-airgap-v10.crw-qe.com'
  devworkspaceStatus:
    gatewayHost: devspaces-openshift-workspaces.apps.crw-airgap-v10.crw-qe.com
    gatewayPhase: Established
    phase: Active
    workspaceBaseDomain: apps.crw-airgap-v10.crw-qe.com
  openShiftoAuthProvisioned: true
  dbProvisioned: true
  cheVersion: 3.0.0
  keycloakURL: 'https://keycloak-openshift-workspaces.apps.crw-airgap-v10.crw-qe.com/auth'
  pluginRegistryURL: >-
    https://devspaces-openshift-workspaces.apps.crw-airgap-v10.crw-qe.com/plugin-registry/v3
